apiVersion: v1
kind: Service
metadata:
  name: {{ include "carpool.fullname" . }}
  labels:
    {{- include "carpool.labels" . | nindent 4 }}
    service: backend
spec:
  type: {{ .Values.backend.service.type }}
  ports:
    - port: {{ .Values.backend.service.port }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    {{- include "carpool.selectorLabels" . | nindent 4 }}
    service: backend
